Project

General

Profile

Bug #6052

Update to RC: Error trying to get packages list. Aborting...

Added by NOYB NOYB over 3 years ago. Updated over 3 years ago.

Status:
Resolved
Priority:
Normal
Category:
Operating System
Target version:
Start date:
03/31/2016
Due date:
% Done:

100%

Estimated time:
Affected Version:
2.3
Affected Architecture:

Description

Update from 3/30 beta to 3/31 RC using console option 13.

Near the end of the auto reboot, just after generating the rrd graphs.

Error: Error trying to get packages list. Aborting...
pkg: Repository pfSense-core cannot be opened. 'pkg update' required
pkg: Repository pfSense cannot be opened. 'pkg update' required

Never seen this with any of the previous update snapshots.
Repeatable by restoring the previous VM snapshot and updating again.

i386

pfSense 2.3-RC.png (12.2 KB) pfSense 2.3-RC.png NOYB NOYB, 03/31/2016 10:56 PM

Associated revisions

Revision 78aee67a (diff)
Added by Renato Botelho over 3 years ago

Make sure repo metadata is updated before any other package when repo conf changes. Fixes #6052

Revision ebefc6a8 (diff)
Added by Renato Botelho over 3 years ago

Make sure repo metadata is updated before any other package when repo conf changes. Fixes #6052

(cherry picked from commit 78aee67a9e8ddb40d10c965ee8ce1ad1389d25f6)

History

#1 Updated by Greg Siemon over 3 years ago

Confirming same on amd64 following upgrade from 28 March beta to RC using the GUI.

#2 Updated by Chris Buechler over 3 years ago

  • Category set to Operating System
  • Status changed from New to Confirmed
  • Assignee set to Renato Botelho

appears that's related to the change of package repo URLs

#3 Updated by Renato Botelho over 3 years ago

  • Status changed from Confirmed to Feedback
  • % Done changed from 0 to 100

#4 Updated by NOYB NOYB over 3 years ago

Just ran update from the last beta to the most recent RC and the problem still exists.

Last beta:
2.3-BETA (i386)
built on Wed Mar 30 07:36:56 CDT 2016
FreeBSD 10.3-RELEASE

Most recent RC:
2.3-RC (i386)
built on Mon Apr 04 17:22:53 CDT 2016
FreeBSD 10.3-RELEASE

#5 Updated by Renato Botelho over 3 years ago

That is expected since the fix is on update script (pfSense-upgrade). If you gitsync before run the upgrade it won't happen anymore

#6 Updated by Chris Buechler over 3 years ago

  • Status changed from Feedback to Resolved

fixed

#7 Updated by Chris Buechler over 3 years ago

  • Status changed from Resolved to Feedback

seems like this may have regressed after the most recent repo change?
https://forum.pfsense.org/index.php?topic=109339.msg608779#msg608779

#8 Updated by Renato Botelho over 3 years ago

  • Status changed from Feedback to Resolved

Fixed

Also available in: Atom PDF